VisualEditor: Re-rendered transclusion of blocks comes back as wikitext, not HTML (eww)
Closed, ResolvedPublic

Description

Something's gone wrong with our PHP parser re-render call; on re-render of block templates only, you get {{template call|param}} rather than nice lovely HTML. Presumably something to do with our hack yesterday? Plzfixkthxbai.


Version: unspecified
Severity: major

bzimport set Reference to bz49854.
Jdforrester-WMF created this task.Via LegacyJun 20 2013, 3:32 AM
Jdforrester-WMF added a comment.Via ConduitJun 23 2013, 7:23 PM
  • Bug 49730 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitJun 27 2013, 7:16 PM

Change 70865 had a related patch set uploaded by Esanders:
Fix escapeParams in transclusions to not escape other transclusions

https://gerrit.wikimedia.org/r/70865

gerritbot added a comment.Via ConduitJun 27 2013, 9:30 PM

Change 70865 merged by jenkins-bot:
Fix escapeParams in transclusions to not escape other transclusions

https://gerrit.wikimedia.org/r/70865

Jdforrester-WMF added a comment.Via ConduitJun 27 2013, 9:54 PM

This should now be fixed and we will push it out this afternoon.

Jdforrester-WMF added a comment.Via ConduitJun 27 2013, 10:51 PM
  • Bug 50328 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitJul 1 2013, 2:58 PM
  • Bug 50361 has been marked as a duplicate of this bug. ***
Mdennis-WMF added a comment.Via ConduitJul 11 2013, 3:04 PM

I'm not sure if this is the same bug, but English Wikipedia users report that when editing an infobox piped wikilinks display as [[word|word]] rather than as it will appear on save. It saves correctly.

I managed to replicate this. If this should be split off into another bug, sorry!

Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 3:07 PM

(In reply to comment #7)

I'm not sure if this is the same bug, but English Wikipedia users report that
when editing an infobox piped wikilinks display as [[word|word]] rather than
as it will appear on save. It saves correctly.

I managed to replicate this. If this should be split off into another bug,
sorry!

That's bug 50801 which we're working on right now; re-closing this one. No worries. :-)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.